//
// Written by Igor Tolmachev, IT Samples
//        mailto:support@itsamples.com
//
// Copyright (c) 2009.
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name and all copyright 
// notices remains intact. If the source code in this file is used in 
// any  commercial application then a statement along the lines of 
// "Portions copyright (c) Igor Tolmachev, 2009" must be included in 
// the startup banner, "About" box or printed documentation. An email 
// letting me know that you are using it would be nice as well. That's 
// not much to ask considering the amount of work that went into this.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy, and let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into 
// this file. 

// TheBatStorage.h: interface for the TheBatStorage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_THEBATSTORAGE_H__4F1A0003_993C_423F_9D15_266DEB63FF67__INCLUDED_)
#define AFX_THEBATSTORAGE_H__4F1A0003_993C_423F_9D15_266DEB63FF67__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WM_POSTLASTMESSAGE WM_USER+99

class CTheBatStorage  
{
public:
	CTheBatStorage();
	virtual ~CTheBatStorage();

	void SetMessageTarget(HWND hWnd);
	BOOL LoadFromFile(char* pszPath);

protected:
	void PostLastMessage(char* pszMessage);
	void Dump(char* pszPassword);

protected:
	HWND m_hWndParent;
};

#endif // !defined(AFX_THEBATSTORAGE_H__4F1A0003_993C_423F_9D15_266DEB63FF67__INCLUDED_)
